> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.emnify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.emnify.com/_mcp/server.

# Get SIM operation details

GET https://cdn.emnify.net/api/v1/sim/operation/{operation_id}

Get details of a specific SIM operation.
Operations data is retained for 90 days.


Reference: https://docs.emnify.com/developers/api/sim-operation/get-sim-operation

## Authentication

- `Authorization` header (bearer token, required) — An auth_token should be provided to authenticate a session. To obtain an auth_token, see the POST request to `/api/v1/authenticate`.

## Request

### Path parameters

- `operation_id` (string, required)

## Response

### 200

SIM operation detail

- `id` (string, required) — Operation ID
- `action` (OperationAction, required)
- `status` (OperationStatus, required)
- `creation_date` (string, required)
- `last_updated_at` (string, required)
- `product` (ProductRef, optional)
- `finalization_date` (string, optional, nullable)
- `target` (list of SimOperationResponseTarget, optional)
- `total_count` (integer, optional)
- `failed_count` (integer, optional)
- `success_count` (integer, optional)
- `error` (list of SimOperationResponseErrorItems, optional)

## Errors

### 401 Unauthorized Error

Unauthorized

- `status_code` (integer, required)
- `message` (string, required)

### 403 Forbidden Error

Forbidden

- `status_code` (integer, required)
- `message` (string, required)

### 404 Not Found Error

Not Found

- `status_code` (integer, required)
- `message` (string, required)

### 500 Internal Server Error

Internal Server Error

- `status_code` (integer, required)
- `message` (string, required)

## Types

### OperationAction

- `id` (integer, required)
- `description` (string, required)

### OperationStatus

- `id` (integer, required)
- `description` (string, required)

### ProductRef

- `id` (integer, required)

### SimOperationResponseTarget

- `sim` (SimOperationResponseTargetSim, required)
- `eid` (string, optional)

### SimOperationResponseErrorItems

- `sim` (SimOperationResponseErrorItemsSim, required)
- `message` (string, required)
- `eid` (string, optional)
- `iccid_with_luhn` (string, optional) — Full ICCID including the Luhn check digit

### SimOperationResponseTargetSim

- `id` (integer, required)

### SimOperationResponseErrorItemsSim

- `id` (integer, required)

## Examples

**Response**

```json
{
  "id": "58f8f8f8-aaaa-bbbb-cccc-111111111111",
  "action": {
    "id": 1,
    "description": "Link by SIM"
  },
  "status": {
    "id": 2,
    "description": "Completed"
  },
  "creation_date": "2025-10-01T09:00:00.000Z",
  "last_updated_at": "2025-10-01T09:00:12.000Z",
  "finalization_date": "2025-10-01T09:00:12.000Z",
  "target": [
    {
      "sim": {
        "id": 7372275
      },
      "eid": "89123247065724874780755570224832"
    }
  ],
  "total_count": 1,
  "failed_count": 0,
  "success_count": 1
}
```

**SDK Code**

```python
import requests

url = "https://cdn.emnify.net/api/v1/sim/operation/58f8f8f8-aaaa-bbbb-cccc-111111111111"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://cdn.emnify.net/api/v1/sim/operation/58f8f8f8-aaaa-bbbb-cccc-111111111111';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/sim/operation/58f8f8f8-aaaa-bbbb-cccc-111111111111"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/sim/operation/58f8f8f8-aaaa-bbbb-cccc-111111111111")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://cdn.emnify.net/api/v1/sim/operation/58f8f8f8-aaaa-bbbb-cccc-111111111111")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://cdn.emnify.net/api/v1/sim/operation/58f8f8f8-aaaa-bbbb-cccc-111111111111', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/sim/operation/58f8f8f8-aaaa-bbbb-cccc-111111111111");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/sim/operation/58f8f8f8-aaaa-bbbb-cccc-111111111111")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```